Subject: Re: bug#49913: python-networkx test failing

From: Efraim Flashner <[email-masked]>
Date: Sun, 8 Aug 2021 13:54:10 +0300

On Sat, Aug 07, 2021 at 07:03:11PM +0200, Maxime Devos wrote:
> Hi,
> 
> > > networkx/algorithms/shortest_paths/tests/test_weighted.py:29: AssertionError
> > > =========== 1 failed, 3517 passed, 182 skipped in 246.61s (0:04:06) ============
> > > command "pytest" "-vv" "--pyargs" "networkx" failed with status 1
> > 
> > I've the following setup:
> > 
> > Host distribution: Parabola i686 with an x86_64 kernel (linux-libre-64)
> > Guix: Guix i686
> 
> I can reproduce on i686 (--system=i686-linux) but not x86_64.
> The test failure appears to be determenistic but architecture-dependent.
> 

Can you `guix pull` and test it again? I just updated it to 2.6.2 and
building with --system=i686-linux didn't show me any test errors.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted